


TESTTAB(5)         Headers, Tables, and Macros         TESTTAB(5)

     Copyright (c) 1990-1998 Enlighten Software Solutions, Inc.


     testtab - AgentMon subagent capability database

SYNOPSIS
     $ENLIGHTEN/config/testtab.{HOSTNAME}

DESCRIPTION
     testtab  is  the  capability  database  for   the   AgentMon
     subagent.  The format is similar to other Unix system admin-
     istrative files but is simplier to use.   AgentMon  accesses
     this database when it starts up and frequantly checks it for
     any changes.  Each entry in the file describes one test that
     AgentMon  is capable of performing.  Test may be dynamically
     added  and  deleted  without  having  to  manually   restart
     AgentMon.   At  time  of installation, this file may not yet
     exit.  When no testtab file exist, all default tests and all
     test capability defaults are assumed and the testtab file is
     automatically created.  Each entry in this file represents a
     test description . A test description consist of a line con-
     taining the test name followed by additional lines  contain-
     ing  a  list  of  keywords and, possibly, values.  There are
     three types of keywords (capabliities) :

     Boolean
          Capabilities  that  have  only  two   states   (on/off,
          enable/disable,  etc) are specified by simply specifing
          that capability name (to activate it), or by prepending
          the  name with an exclaimation mark ("!") to deactivate
          it.

     Numerics and Strings
          A capability that requires a numeric (or alphabetic) is
          specified  by  separating the capability name and value
          with an equal sign.

     All capabilities are delimited by  colons  (":")  .   Values
     that  must contain a colon must be escaped with a backslash.
     Any test description line not terminated with a backslash is
     assumed to be the last line of that test description.

CAPABILITIES
     Name      Type      Default   Comment

     testfreq  int       5         min testing interval (minutes)
9     alarmfreq int       60        min   time   between   alarms.
     notify    str       root      to   whom   alarms  are  sent.
     mailer    str       /bin/mail Program  that   will   deliver
                                   the   alarm   if   a  username
                                   was   given    in    'notify'.
     command   str       NULL      The  pathname  of a process to
     start when an
                             alarm       condition        occurs.
     log       boolean   false     Indicates    weather   logging



SunOS 5.4         Last change: 16 April 1993 ;                  1


9


TESTTAB(5)         Headers, Tables, and Macros         TESTTAB(5)



                                   is     enabled     or     not.
     !log      boolean   true      Indicates      logging      is
                                   dissabled.
     delta     int/float 0         If    logging    is   enabled,
                                   the    most    recent    value
                                   measured    will   be   logged
                                   if   it    differs    by    at
                                   least  this  amount  from  the
                                   previously logged value.
                             If      zero,      always       logs
     pep       boolean   false  If true, alarms will also be sent
     to PEP age       int       0         For  monitoring  queues
                                   only.   Age   is  in  minutes.
                                   If  not   zero,   only   files
                                   more    than   'age'   minutes
                                   old are  counted  as  'old'  .
     high      int/float 0         High  level  alarm  set point.
     low       int/float 0         Low  level  alarm  set  point.
     +rate     float     0.0       Positive      rate      change
                                   set         point.           -
     rate     float     0.0       Negitive       rate      change
                                   set                     point.
     +jump     int/float 0         Positive  jump  set  point.  -
     jump     int/float 0         Negitive   jump   set    point.
     testname  str                 Testnames  for  built-in  test
                                   may    not     be     altered.
     regx_     R/E       null      regx1-regx31   are   for  File
     Clamping tests. They hold                                the
     lists   of   regular   expressions   used   in   the   test.
     units     str       "units"   These    are    preset     and
                                   changes      are      silently
                                   ignored.

     NOTES

     Most test measure  integer  values.  Some  measure  floating
     point values.  Set point parameters should be given by using
     the same variable type as the test result.  However, failure
     to comply will only result in rounding errors.

     The jump and rate thresholds compare the current test  value
     with  the last measured value.  Therefore, they are compair-
     ing change over time (testfreq) .

     The values for the units capability are built-in and  cannot
     be  changed.   It is shown here for completeness as AgentMon
     includes this field whenever it re-writes the  testtab  file
     and whenever it is started with the -x command line option.

     If   the   notify   field   is   set   to   "nobody",   i.e.
     :notify=nobody:, then no email will be sent.




SunOS 5.4         Last change: 16 April 1993 ;                  2






TESTTAB(5)         Headers, Tables, and Macros         TESTTAB(5)



SEE ALSO
     printcap(5)  termcap(5)   disktab(5)   acucap(5)





















































SunOS 5.4         Last change: 16 April 1993 ;                  3



